Bug 228763 - [WebIDL] DOM constructors should extend InternalFunction
Summary: [WebIDL] DOM constructors should extend InternalFunction
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Bindings (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Trivial
Assignee: Alexey Shvayka
URL:
Keywords: InRadar
Depends on:
Blocks: 216816 230584
  Show dependency treegraph
 
Reported: 2021-08-03 18:39 PDT by Alexey Shvayka
Modified: 2021-09-21 21:56 PDT (History)
14 users (show)

See Also:


Attachments
Patch (129.15 KB, patch)
2021-08-03 18:45 PDT, Alexey Shvayka
no flags Details | Formatted Diff | Diff
Patch (131.18 KB, patch)
2021-09-21 17:34 PDT, Alexey Shvayka
no flags Details | Formatted Diff | Diff
Microbenchmark (770 bytes, text/html)
2021-09-21 17:38 PDT, Alexey Shvayka
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Shvayka 2021-08-03 18:39:50 PDT
[WebIDL] DOM constructors should extend InternalFunction
Comment 1 Alexey Shvayka 2021-08-03 18:45:08 PDT
Created attachment 434876 [details]
Patch
Comment 2 Sam Weinig 2021-08-04 11:43:12 PDT
Comment on attachment 434876 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=434876&action=review

> Source/WebCore/bindings/js/JSDOMConstructorBase.h:22
>  #include "JSDOMWrapper.h"

Is this still needed?
Comment 3 Yusuke Suzuki 2021-08-06 00:53:11 PDT
This is great!!
Comment 4 Radar WebKit Bug Importer 2021-08-10 18:40:19 PDT
<rdar://problem/81771534>
Comment 5 Alexey Shvayka 2021-09-21 17:34:09 PDT
Created attachment 438894 [details]
Patch

Remove extra #include, improve ChangeLog, and add a FIXME regarding m_originalName / property order.
Comment 6 Alexey Shvayka 2021-09-21 17:38:25 PDT
Created attachment 438895 [details]
Microbenchmark

trunk: 188.3ms
patch: 155.5ms (17.5% faster)
---
4 runs, sampled around r280750.
Comment 7 Alexey Shvayka 2021-09-21 21:19:14 PDT
Comment on attachment 438894 [details]
Patch

Thanks for review and feedback!
Comment 8 EWS 2021-09-21 21:56:05 PDT
Committed r282864 (241995@main): <https://commits.webkit.org/241995@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 438894 [details].